Skip to main content

Asset Configuration

3 endpoints

GET /configurations/assets/{assetId}/buy Get buying configurations for a specific asset

Obtain buying configurations associated with a specific asset.

Parameters

assetId required
string · path
Asset id to retrieve purchase configurations.

Responses

200
400 Bad request
401 Unauthorized
404 Asset not found
GET https://api.qa.onyze.pro/v1/configurations/assets/{assetId}/buy
Response 200
[
{
"decimals": "2000",
"enabled": "true",
"fee": "0.01",
"fiatCurrency": "EUR",
"maxLimit": {
"EUR": "2000"
},
"minLimit": {
"EUR": "10"
}
}
]
GET /configurations/assets/{assetId}/sell Get selling configurations for a specific asset

Obtain selling configurations associated with a specific asset.

Parameters

assetId required
string · path
Asset id to retrieve purchase configurations.

Responses

200
400 Bad request
401 Unauthorized
404 Asset not found
GET https://api.qa.onyze.pro/v1/configurations/assets/{assetId}/sell
Response 200
[
{
"decimals": "2000",
"enabled": "true",
"fee": "0.01",
"fiatCurrency": "EUR",
"maxLimit": {
"EUR": "2000"
},
"minLimit": {
"EUR": "10"
}
}
]
GET /configurations/assets/{assetId}/withdrawal Get withdrawal configurations for a specific asset

Obtain withdrawal configurations associated with a specific asset.

Parameters

assetId required
string · path
Asset id to retrieve purchase configurations.

Responses

200
400 Bad request
401 Unauthorized
404 Asset not found
GET https://api.qa.onyze.pro/v1/configurations/assets/{assetId}/withdrawal
Response 200
[
{
"decimals": "2000",
"enabled": "true",
"fee": "0.01",
"fiatCurrency": "EUR",
"maxLimit": {
"EUR": "2000"
},
"minLimit": {
"EUR": "2000"
},
"allowsMemo": "false"
}
]